<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-auth](./foundation-auth.md) &gt; [configure](./foundation-auth.configure.md)

## configure() function

Configure the auth micro frontend settings.

**Signature:**

```typescript
export declare function configure(config: Partial<AuthConfig>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | Partial&lt;[AuthConfig](./foundation-auth.authconfig.md)<!-- -->&gt; | A partial AuthConfig. |

**Returns:**

void

## Remarks

This is primarily for general settings, rather than re-defining the element, static templating / style changes.

## Example

Configuring auth on lazy load

```ts
title: 'Authenticate',
name: 'auth',
path: 'auth',
element: async () => {
  const { configure, Auth } = await import('@genesislcap/foundation-auth');
  configure({
    hostPath: 'auth',
    omitRoutes: ['request-account'],
    logo: myCompanyLogo,
    background: myAuthBG,
    postLoginRedirect: () => {
      // You could inspect the user here and route them based on various conditions.
      Route.path.push('dashboard');
    },
  });
  return Auth;
},
layout: authLayout,
settings: { public: true },
childRouters: true,
```

